<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hzs.activity.recoilGive.mapper.AcRecoilGiveConfigMapper">

    <!-- 根据指定国家查询消费币赠送配置 -->
    <select id="listRecoilGiveConfigByCountry" resultType="com.hzs.common.domain.activity.recoilGive.AcRecoilGiveConfig">
        select argc.*
        from ac_base_config abc
        inner join ac_recoil_give_config argc
        on argc.pk_base_config = abc.pk_id
        and argc.del_flag = 0
        where abc.del_flag = 0
        and abc.act_type = 30
        and trunc(sysdate) between abc.act_start_date and abc.act_end_date
        and argc.pk_country = #{pkCountry}
        order by abc.creation_time desc
    </select>

</mapper>
